<?php


return  
    [
        'model' => [
            'model' => \Lavalite\Product\Models\Product::class,
            'repository' => \Lavalite\Product\Repositories\Eloquent\ProductRepository::class,
            'table' => 'products',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'tagline',  'summary',  'description',  'demo',  'features',  'price',  'version',  'images',  'tags',  'viewcount',  'works_on',  'slug',  'status',  'user_id',  'user_type',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'product/product',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'product::product.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            "tagline" => [
                "key" => "tagline", 
                "type" => "text", 
                "label" => 'product::product.label.tagline', 
                'sort' => true,
                'roles' => [],
            ],
            "summary" => [
                "key" => "summary", 
                "type" => "text", 
                "label" => 'product::product.label.summary', 
                'sort' => true,
                'roles' => [],
            ],
            "description" => [
                "key" => "description", 
                "type" => "text", 
                "label" => 'product::product.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            "demo" => [
                "key" => "demo", 
                "type" => "text", 
                "label" => 'product::product.label.demo', 
                'sort' => true,
                'roles' => [],
            ],
            "features" => [
                "key" => "features", 
                "type" => "text", 
                "label" => 'product::product.label.features', 
                'sort' => true,
                'roles' => [],
            ],
            "price" => [
                "key" => "price", 
                "type" => "text", 
                "label" => 'product::product.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            "version" => [
                "key" => "version", 
                "type" => "text", 
                "label" => 'product::product.label.version', 
                'sort' => true,
                'roles' => [],
            ],
            "images" => [
                "key" => "images", 
                "type" => "text", 
                "label" => 'product::product.label.images', 
                'sort' => true,
                'roles' => [],
            ],
            "tags" => [
                "key" => "tags", 
                "type" => "text", 
                "label" => 'product::product.label.tags', 
                'sort' => true,
                'roles' => [],
            ],
            "viewcount" => [
                "key" => "viewcount", 
                "type" => "text", 
                "label" => 'product::product.label.viewcount', 
                'sort' => true,
                'roles' => [],
            ],
            "works_on" => [
                "key" => "works_on", 
                "type" => "text", 
                "label" => 'product::product.label.works_on', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.name',
                "placeholder" => 'product::product.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'tagline' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.tagline',
                "placeholder" => 'product::product.placeholder.tagline',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'summary' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.summary',
                "placeholder" => 'product::product.placeholder.summary',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.description',
                "placeholder" => 'product::product.placeholder.description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'demo' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.demo',
                "placeholder" => 'product::product.placeholder.demo',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'features' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.features',
                "placeholder" => 'product::product.placeholder.features',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'price' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::product.label.price',
                "placeholder" => 'product::product.placeholder.price',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'version' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.version',
                "placeholder" => 'product::product.placeholder.version',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.images',
                "placeholder" => 'product::product.placeholder.images',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'tags' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.tags',
                "placeholder" => 'product::product.placeholder.tags',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'viewcount' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::product.label.viewcount',
                "placeholder" => 'product::product.placeholder.viewcount',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'works_on' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.works_on',
                "placeholder" => 'product::product.placeholder.works_on',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'product/product/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'product/product/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'product/product',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'product/product',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'product/product',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'product/product',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'product::product.label.created_at',
            'name' => 'product::product.label.name',
            'status' => 'product::product.label.status',
        ],
        'groups' => [
            'main' => 'product::product.groups.main',
            'details' => 'product::product.groups.details',
            'images' => 'product::product.groups.images',
            'settings' => 'product::product.groups.settings',
        ],
        'controller' => [
            'provider' => 'Lavalite',
            'package' => 'Product',
            'module' => 'Product',
        ],
    ];
